Bug 905113 - Backport qpid_hosts option - nova
Backport qpid_hosts option - nova
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: 2.1
Assigned To: Russell Bryant
Nir Magnezi
: Triaged
Depends On:
Blocks: 905114 905115
  Show dependency treegraph
 
Reported: 2013-01-28 10:47 EST by Russell Bryant
Modified: 2013-03-21 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.3-1.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 905114 (view as bug list)
Environment:
Last Closed: 2013-03-21 14:15:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Bryant 2013-01-28 10:47:09 EST
To better support HA with qpid, we need to backport the following patch:

https://review.openstack.org/#/c/17046/2/openstack/common/rpc/impl_qpid.py

The patch is in oslo-incubator and will not be backported to the stable/folsom branch of nova/cinder/quantum, since it's a new feature.
Comment 7 Nir Magnezi 2013-03-06 05:07:13 EST
Verified NVR:
# rpm -qa | grep openstack-nova
openstack-nova-compute-2012.2.3-4.el6ost.noarch
openstack-nova-api-2012.2.3-4.el6ost.noarch
openstack-nova-console-2012.2.3-4.el6ost.noarch
openstack-nova-novncproxy-0.4-3.el6ost.noarch
openstack-nova-scheduler-2012.2.3-4.el6ost.noarch
openstack-nova-common-2012.2.3-4.el6ost.noarch
openstack-nova-cert-2012.2.3-4.el6ost.noarch
openstack-nova-network-2012.2.3-4.el6ost.noarch

Verification Steps:

1. Modified nova.conf as follows:
1.1 remove 'qpid_hostname' and 'qpid_port'
1.2 added qpid_hosts=127.0.0.1:5672

2. Restarted nova services:  for i in api console network cert consoleauth compute scheduler ; do service openstack-nova-$i restart; done
3. Checked nova logs:

2013-03-06 11:58:43 16983 INFO nova.openstack.common.rpc.impl_qpid [-] Connected to AMQP server on 127.0.0.1:5672

4. Modified nova.conf with a bogus IP Address:
4.1 qpid_hosts=11.22.33.44:5672

5. Restarted nova services:  for i in api console network cert consoleauth compute scheduler ; do service openstack-nova-$i restart; done
6. Checked nova logs:

2013-03-06 12:01:10 18317 ERROR nova.openstack.common.rpc.impl_qpid [-] Unable to connect to AMQP server: [Errno 110] ETIMEDOUT. Sleeping 1 seconds
Comment 9 errata-xmlrpc 2013-03-21 14:15:56 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0657.html

Note You need to log in before you can comment on or make changes to this bug.